> ## Documentation Index
> Fetch the complete documentation index at: https://ngrok.com/docs/llms.txt
> Use this file to discover all available pages before exploring further.

# Get

> Get detailed information about an Event Destination by ID.




## OpenAPI

````yaml https://raw.githubusercontent.com/ngrok/ngrok-openapi/refs/heads/main/ngrok.yaml get /event_destinations/{id}
openapi: 3.0.0
info:
  title: ngrok OpenAPI
  version: 1.0.0
servers:
  - url: https://api.ngrok.com
security:
  - authentication: []
paths:
  /event_destinations/{id}:
    get:
      tags:
        - EventDestinations
      summary: Get
      description: |
        Get detailed information about an Event Destination by ID.
      operationId: EventDestinationsGet
      parameters:
        - $ref: '#/components/parameters/ngrokVersion'
        - name: id
          description: |
            a resource identifier
          in: path
          required: true
          schema:
            type: string
      responses:
        '200':
          description: |
            Get detailed information about an Event Destination by ID.
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/EventDestination'
components:
  parameters:
    ngrokVersion:
      name: ngrok-version
      in: header
      required: true
      schema:
        type: integer
        default: 2
  schemas:
    EventDestination:
      type: object
      properties:
        id:
          description: |
            Unique identifier for this Event Destination.
          type: string
        metadata:
          description: >
            Arbitrary user-defined machine-readable data of this Event
            Destination. Optional, max 4096 bytes.
          type: string
        created_at:
          description: |
            Timestamp when the Event Destination was created, RFC 3339 format.
          type: string
        description:
          description: >
            Human-readable description of the Event Destination. Optional, max
            255 bytes.
          type: string
        format:
          description: >
            The output format you would like to serialize events into when
            sending to their target. Currently the only accepted value is
            `JSON`.
          type: string
        target:
          $ref: '#/components/schemas/EventTarget'
          description: >
            An object that encapsulates where and how to send your events. An
            event destination must contain exactly one of the following objects,
            leaving the rest null: `kinesis`, `firehose`, `cloudwatch_logs`, or
            `s3`.
        uri:
          description: |
            URI of the Event Destination API resource.
          type: string
    EventTarget:
      type: object
      properties:
        firehose:
          $ref: '#/components/schemas/EventTargetFirehose'
          description: |
            Configuration used to send events to Amazon Kinesis Data Firehose.
        kinesis:
          $ref: '#/components/schemas/EventTargetKinesis'
          description: |
            Configuration used to send events to Amazon Kinesis.
        cloudwatch_logs:
          $ref: '#/components/schemas/EventTargetCloudwatchLogs'
          description: |
            Configuration used to send events to Amazon CloudWatch Logs.
        datadog:
          $ref: '#/components/schemas/EventTargetDatadog'
          description: |
            Configuration used to send events to Datadog.
        azure_logs_ingestion:
          $ref: '#/components/schemas/EventTargetAzureLogsIngestion'
          description: n/a
    EventTargetFirehose:
      type: object
      properties:
        auth:
          $ref: '#/components/schemas/AWSAuth'
          description: >
            Configuration for how to authenticate into your AWS account. Exactly
            one of `role` or `creds` should be configured.
        delivery_stream_arn:
          description: >
            An Amazon Resource Name specifying the Firehose delivery stream to
            deposit events into.
          type: string
    EventTargetKinesis:
      type: object
      properties:
        auth:
          $ref: '#/components/schemas/AWSAuth'
          description: >
            Configuration for how to authenticate into your AWS account. Exactly
            one of `role` or `creds` should be configured.
        stream_arn:
          description: >
            An Amazon Resource Name specifying the Kinesis stream to deposit
            events into.
          type: string
    EventTargetCloudwatchLogs:
      type: object
      properties:
        auth:
          $ref: '#/components/schemas/AWSAuth'
          description: >
            Configuration for how to authenticate into your AWS account. Exactly
            one of `role` or `creds` should be configured.
        log_group_arn:
          description: >
            An Amazon Resource Name specifying the CloudWatch Logs group to
            deposit events into.
          type: string
    EventTargetDatadog:
      type: object
      properties:
        api_key:
          description: |
            Datadog API key to use.
          type: string
        ddtags:
          description: |
            Tags to send with the event.
          type: string
        service:
          description: |
            Service name to send with the event.
          type: string
        ddsite:
          description: |
            Datadog site to send event to.
          type: string
    EventTargetAzureLogsIngestion:
      type: object
      required:
        - tenant_id
        - client_id
        - client_secret
        - logs_ingestion_uri
        - data_collection_rule_id
        - data_collection_stream_name
      properties:
        tenant_id:
          description: |
            Tenant ID for the Azure account
          type: string
        client_id:
          description: |
            Client ID for the application client
          type: string
        client_secret:
          description: |
            Client Secret for the application client
          type: string
        logs_ingestion_uri:
          description: |
            Data collection endpoint logs ingestion URI
          type: string
        data_collection_rule_id:
          description: |
            Data collection rule immutable ID
          type: string
        data_collection_stream_name:
          description: >
            Data collection stream name to use as destination, located inside
            the DCR
          type: string
    AWSAuth:
      type: object
      properties:
        role:
          $ref: '#/components/schemas/AWSRole'
          description: >
            A role for ngrok to assume on your behalf to deposit events into
            your AWS account.
        creds:
          $ref: '#/components/schemas/AWSCredentials'
          description: >
            Credentials to your AWS account if you prefer ngrok to sign in with
            long-term access keys.
    AWSRole:
      type: object
      required:
        - role_arn
      properties:
        role_arn:
          description: >
            An ARN that specifies the role that ngrok should use to deliver to
            the configured target.
          type: string
    AWSCredentials:
      type: object
      required:
        - aws_access_key_id
        - aws_secret_access_key
      properties:
        aws_access_key_id:
          description: |
            The ID portion of an AWS access key.
          type: string
        aws_secret_access_key:
          description: |
            The secret portion of an AWS access key.
          type: string
  securitySchemes:
    authentication:
      type: http
      scheme: bearer

````